> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paytsoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get administration debtor by id

> Get administration debtor by id



## OpenAPI

````yaml /openapi3.json get /v1/debtors/{id}
openapi: 3.0.0
info:
  title: API Endpoints
  description: >-
    This page allows you to explore the available API endpoints. Select a
    resource (e.g. debtors) and an endpoint (e.g. /v1/debtors) to inspect an
    example response and available parameters. An authorization header
    containing a Bearer token is required, see
    [Authentication](/authentication/authorization).
  version: 1.0.0
servers:
  - url: https://api.paytsoftware.com
    description: Production
  - url: https://demo-api.paytsoftware.com
    description: Demo / testing
security:
  - bearerAuth: []
tags:
  - name: administrations
    description: Operations about administrations
  - name: companies
    description: Operations about companies
  - name: contacts
    description: Operations about contacts
  - name: credit_cases
    description: Operations about credit_cases
  - name: debtors
    description: Operations about debtors
  - name: files
    description: Operations about files
  - name: orders
    description: Operations about orders
  - name: order_lines
    description: Operations about order_lines
  - name: invoices
    description: Operations about invoices
  - name: messages
    description: Operations about messages
  - name: notes
    description: Operations about notes
  - name: notifications
    description: Operations about notifications
  - name: payments
    description: Operations about payments
  - name: payment_conditions
    description: Operations about payment_conditions
  - name: payment_plans
    description: Operations about payment_plans
  - name: psp_mandates
    description: Operations about psp_mandates
  - name: psp_transactions
    description: Operations about psp_transactions
  - name: sign_up
    description: Operations about sign_ups
  - name: tasks
    description: Operations about tasks
  - name: vat_rates
    description: Operations about vat_rates
paths:
  /v1/debtors/{id}:
    get:
      tags:
        - debtors
      summary: Get administration debtor by id
      description: Get administration debtor by id
      operationId: getV1DebtorsId
      parameters:
        - in: path
          name: id
          description: Debtor identifier
          required: true
          schema:
            type: string
        - in: query
          name: administration_id
          description: Administration identifier
          required: true
          schema:
            type: string
        - in: query
          name: identifier_type
          description: >-
            Type of debtor identifier to use (can be 'debtor_number',
            'debtor_identifier' or left blank to use internal id)
          required: false
          schema:
            type: string
        - in: query
          name: fields
          description: >-
            JSON object defining fields to receive (e.g {"only": ["field1",
            {"field2": ["field3"]}]})
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Debtor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_V1_DebtorEntity'
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
        '403':
          description: Access not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerApi_ErrorEntity'
components:
  schemas:
    CustomerApi_V1_DebtorEntity:
      type: object
      properties:
        book_open_amount:
          type: string
          description: >-
            Open amount in administration currency (request with the 'fields'
            parameter)
        call_phone_number:
          type: string
          description: Phone number to call
        coc_number:
          type: string
          description: CoC number
        autogenerated_credit_limit_amount:
          type: string
          description: >-
            Credit limit amount based on payment behaviour (request with the
            'fields' parameter, only available when creditworthiness monitoring
            with autogenerated credit limits is enabled)
        credit_limit_amount:
          type: string
          description: >-
            Credit limit amount from the accounting package in administration
            currency
        external_credit_limit_amount:
          type: string
          description: >-
            Credit limit amount based on GraydonCreditsafe (request with the
            'fields' parameter, only available when creditworthiness monitoring
            is enabled)
        external_credit_limit_currency_code:
          type: string
          description: >-
            Credit limit currency code based on GraydonCreditsafe (request with
            the 'fields' parameter, only available when creditworthiness
            monitoring is enabled)
        debtor_provided_email_address:
          type: string
          description: Email address provided by debtor
        debtor_number:
          type: string
          description: Debtor number
        public_url:
          type: string
          description: Link to the debtor portal (request with the 'fields' parameter)
        deeplink_url:
          type: string
          description: >-
            URL to the debtor in the debtor management interface (request with
            the 'fields' parameter)
        primary_email_address:
          type: string
          description: Primary email address
        invoice_bcc_email_address:
          type: string
          description: Invoice BCC email address
        invoice_cc_email_address:
          type: string
          description: Invoice CC email address
        invoice_email_address:
          type: string
          description: Invoice email address
        internal_note_email_address:
          type: string
          description: Internal note email address (request with the 'fields' parameter)
        labels:
          type: array
          items:
            $ref: '#/components/schemas/CustomerApi_V1_LabelEntity'
          description: Labels (request with the 'fields' parameter)
        language_code:
          type: string
          description: Language used in communication
        name:
          type: string
          description: Name
        debtor_identifier:
          type: string
          description: Debtor identifier from accounting software
        payment_behaviour:
          type: integer
          format: int32
          description: Payment behaviour (request with the 'fields' parameter)
        peppol_identifier:
          type: string
          description: Peppol identifier (request with the 'fields' parameter)
        postal_address:
          allOf:
            - $ref: '#/components/schemas/CustomerApi_V1_AddressEntity'
          description: Postal address
        relation_manager:
          type: string
          description: Relation manager
        remark:
          type: string
          description: Remark (request with the 'fields' parameter)
        reminder_bcc_email_address:
          type: string
          description: Reminder BCC email address
        reminder_cc_email_address:
          type: string
          description: Reminder CC email address
        reminder_email_address:
          type: string
          description: Reminder email address
        sms_phone_number:
          type: string
          description: Phone number to send SMS to
        vat_number:
          type: string
          description: VAT number
        peppol_enabled:
          type: boolean
          description: >-
            Debtor Peppol override (true/false). Null means fallback to
            administration setting (request with the 'fields' parameter)
        administration_id:
          type: string
          description: Owning administration identifier
        id:
          type: string
          description: Unique identifier
        paused_at:
          type: string
          format: date-time
          description: Timestamp at which the debtor was paused
        reminding_paused_at:
          type: string
          format: date-time
          description: Timestamp at which sending reminders for the debtor was paused
        updated_at:
          type: string
          format: date-time
          description: Timestamp at which the debtor was last updated
      required:
        - debtor_number
        - name
        - debtor_identifier
        - postal_address
        - administration_id
        - id
        - updated_at
      description: CustomerApi_V1_DebtorEntity model
    CustomerApi_ErrorEntity:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - code
        - message
      description: CustomerApi_ErrorEntity model
    CustomerApi_V1_LabelEntity:
      type: object
      properties:
        name:
          type: string
          description: Label name
      required:
        - name
    CustomerApi_V1_AddressEntity:
      type: object
      properties:
        city:
          type: string
          description: City
        country_code:
          type: string
          description: ISO 3166 Alpha-2 country code
        postal_code:
          type: string
          description: Postal code
        region:
          type: string
          description: Region
        street_1:
          type: string
          description: Streetname and housenumber
        street_2:
          type: string
          description: Additional address details
      required:
        - city
        - country_code
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        OAuth2 access token or static API token. See
        [Authorization](/authentication/authorization) for how to obtain one.

````